﻿using System;
using System.Collections.Concurrent;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WPF_Chart_Tooltips_BitmapMode
{
    public class DataItem
    {
        private readonly ConcurrentDictionary<string, object> _properties = new ConcurrentDictionary<string, object>();
        public object this[string name]
        {
            get
            {
                object val;
                return _properties.TryGetValue(name, out val) ? val : null;
            }
            set
            {
                if (value == null) return;
                _properties[name] = value;
            }
        }
    }
}
